gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: more diagnostics


From: gnunet
Subject: [taler-deployment] branch master updated: more diagnostics
Date: Tue, 11 Apr 2023 18:15:18 +0200

This is an automated email from the git hooks/post-receive script.

dold pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new fc92607  more diagnostics
fc92607 is described below

commit fc9260781f3f62220fe7a724b1a56e060c1bf0c6
Author: Florian Dold <florian@dold.me>
AuthorDate: Tue Apr 11 18:15:15 2023 +0200

    more diagnostics
---
 netzbon/main.sh           |  8 ++++----
 netzbon/setup-exchange.sh | 18 ++++++++++++++++++
 2 files changed, 22 insertions(+), 4 deletions(-)

diff --git a/netzbon/main.sh b/netzbon/main.sh
index b05af85..6a11679 100755
--- a/netzbon/main.sh
+++ b/netzbon/main.sh
@@ -90,10 +90,10 @@ if test -z "${SANDBOX_EXCHANGE_PASSWORD:-}"; then
   echo "SANDBOX_EXCHANGE_PASSWORD=${SANDBOX_EXCHANGE_PASSWORD}" 
>>config/internal.conf
 fi
 
-. config_launch_libeufin.sh
-. config_nginx.sh
-. setup-exchange.sh
-. setup-merchant.sh
+./config_launch_libeufin.sh
+./config_nginx.sh
+./setup-exchange.sh
+./setup-merchant.sh
 
 # Final message to the user
 if test ${ENABLE_TLS:-} == "y"; then
diff --git a/netzbon/setup-exchange.sh b/netzbon/setup-exchange.sh
index f933505..7bd27b4 100755
--- a/netzbon/setup-exchange.sh
+++ b/netzbon/setup-exchange.sh
@@ -1,11 +1,29 @@
 #!/bin/bash
 
+# Set up error handling
+
 set -eu
 
+notify_exit() {
+  [[ $1 = 0 ]] || echo Script $0 failed, exit code $1
+}
+
+notify_err() {
+  echo "errexit on line $(caller)" >&2
+}
+
+trap '(exit 130)' INT
+trap '(exit 143)' TERM
+trap notify_err ERR
+trap 'rc=$?; notify_exit $rc; exit $rc' EXIT
+
+# End of error handling setup
+
 source functions.sh
 source config/user.conf
 source config/internal.conf
 
+
 say "Beginning Exchange setup"
 
 # Required inputs:

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]